# dev.inmo.micro_utils.fsm.common.utils

# Package-level declarations

## Types

StateHandlingErrorHandler
Link copied to clipboard
typealias StateHandlingErrorHandler < T > = suspend ( T , Throwable ) -> T ?

## Properties

DefaultStateHandlingErrorHandler
Link copied to clipboard
val DefaultStateHandlingErrorHandler : StateHandlingErrorHandler <*>

## Functions

defaultStateHandlingErrorHandler
Link copied to clipboard
inline fun < T > defaultStateHandlingErrorHandler (): StateHandlingErrorHandler < T >